Package com.enonic.xp.web

## Enum HttpStatus

- java.lang.Object
- - java.lang.Enum<HttpStatus>
  - - com.enonic.xp.web.HttpStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<HttpStatus>`

      public enum HttpStatus
      extends Enum<HttpStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACCEPTED` |
    `ALREADY_REPORTED` |
    `BAD_GATEWAY` |
    `BAD_REQUEST` |
    `BANDWIDTH_LIMIT_EXCEEDED` |
    `CHECKPOINT` |
    `CONFLICT` |
    `CONTINUE` |
    `CREATED` |
    `EXPECTATION_FAILED` |
    `FAILED_DEPENDENCY` |
    `FORBIDDEN` |
    `FOUND` |
    `GATEWAY_TIMEOUT` |
    `GONE` |
    `HTTP_VERSION_NOT_SUPPORTED` |
    `IM_A_TEAPOT` |
    `IM_USED` |
    `INSUFFICIENT_STORAGE` |
    `INTERNAL_SERVER_ERROR` |
    `LENGTH_REQUIRED` |
    `LOCKED` |
    `LOOP_DETECTED` |
    `METHOD_NOT_ALLOWED` |
    `MOVED_PERMANENTLY` |
    `MULTI_STATUS` |
    `MULTIPLE_CHOICES` |
    `NETWORK_AUTHENTICATION_REQUIRED` |
    `NO_CONTENT` |
    `NON_AUTHORITATIVE_INFORMATION` |
    `NOT_ACCEPTABLE` |
    `NOT_EXTENDED` |
    `NOT_FOUND` |
    `NOT_IMPLEMENTED` |
    `NOT_MODIFIED` |
    `OK` |
    `PARTIAL_CONTENT` |
    `PAYLOAD_TOO_LARGE` |
    `PAYMENT_REQUIRED` |
    `PERMANENT_REDIRECT` |
    `PRECONDITION_FAILED` |
    `PRECONDITION_REQUIRED` |
    `PROCESSING` |
    `PROXY_AUTHENTICATION_REQUIRED` |
    `REQUEST_HEADER_FIELDS_TOO_LARGE` |
    `REQUEST_TIMEOUT` |
    `REQUESTED_RANGE_NOT_SATISFIABLE` |
    `RESET_CONTENT` |
    `SEE_OTHER` |
    `SERVICE_UNAVAILABLE` |
    `SWITCHING_PROTOCOLS` |
    `TEMPORARY_REDIRECT` |
    `TOO_MANY_REQUESTS` |
    `UNAUTHORIZED` |
    `UNPROCESSABLE_ENTITY` |
    `UNSUPPORTED_MEDIA_TYPE` |
    `UPGRADE_REQUIRED` |
    `URI_TOO_LONG` |
    `VARIANT_ALSO_NEGOTIATES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HttpStatus` | `from​(int value)` |
    `String` | `getReasonPhrase()` |
    `boolean` | `is1xxInformational()` |
    `boolean` | `is2xxSuccessful()` |
    `boolean` | `is3xxRedirection()` |
    `boolean` | `is4xxClientError()` |
    `boolean` | `is5xxServerError()` |
    `String` | `toString()` |
    `int` | `value()` |
    `static HttpStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HttpStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUE

          public static final HttpStatus CONTINUE

    - #### SWITCHING_PROTOCOLS

          public static final HttpStatus SWITCHING_PROTOCOLS

    - #### PROCESSING

          public static final HttpStatus PROCESSING

    - #### CHECKPOINT

          public static final HttpStatus CHECKPOINT

    - #### OK

          public static final HttpStatus OK

    - #### CREATED

          public static final HttpStatus CREATED

    - #### ACCEPTED

          public static final HttpStatus ACCEPTED

    - #### NON_AUTHORITATIVE_INFORMATION

          public static final HttpStatus NON_AUTHORITATIVE_INFORMATION

    - #### NO_CONTENT

          public static final HttpStatus NO_CONTENT

    - #### RESET_CONTENT

          public static final HttpStatus RESET_CONTENT

    - #### PARTIAL_CONTENT

          public static final HttpStatus PARTIAL_CONTENT

    - #### MULTI_STATUS

          public static final HttpStatus MULTI_STATUS

    - #### ALREADY_REPORTED

          public static final HttpStatus ALREADY_REPORTED

    - #### IM_USED

          public static final HttpStatus IM_USED

    - #### MULTIPLE_CHOICES

          public static final HttpStatus MULTIPLE_CHOICES

    - #### MOVED_PERMANENTLY

          public static final HttpStatus MOVED_PERMANENTLY

    - #### FOUND

          public static final HttpStatus FOUND

    - #### SEE_OTHER

          public static final HttpStatus SEE_OTHER

    - #### NOT_MODIFIED

          public static final HttpStatus NOT_MODIFIED

    - #### TEMPORARY_REDIRECT

          public static final HttpStatus TEMPORARY_REDIRECT

    - #### PERMANENT_REDIRECT

          public static final HttpStatus PERMANENT_REDIRECT

    - #### BAD_REQUEST

          public static final HttpStatus BAD_REQUEST

    - #### UNAUTHORIZED

          public static final HttpStatus UNAUTHORIZED

    - #### PAYMENT_REQUIRED

          public static final HttpStatus PAYMENT_REQUIRED

    - #### FORBIDDEN

          public static final HttpStatus FORBIDDEN

    - #### NOT_FOUND

          public static final HttpStatus NOT_FOUND

    - #### METHOD_NOT_ALLOWED

          public static final HttpStatus METHOD_NOT_ALLOWED

    - #### NOT_ACCEPTABLE

          public static final HttpStatus NOT_ACCEPTABLE

    - #### PROXY_AUTHENTICATION_REQUIRED

          public static final HttpStatus PROXY_AUTHENTICATION_REQUIRED

    - #### REQUEST_TIMEOUT

          public static final HttpStatus REQUEST_TIMEOUT

    - #### CONFLICT

          public static final HttpStatus CONFLICT

    - #### GONE

          public static final HttpStatus GONE

    - #### LENGTH_REQUIRED

          public static final HttpStatus LENGTH_REQUIRED

    - #### PRECONDITION_FAILED

          public static final HttpStatus PRECONDITION_FAILED

    - #### PAYLOAD_TOO_LARGE

          public static final HttpStatus PAYLOAD_TOO_LARGE

    - #### URI_TOO_LONG

          public static final HttpStatus URI_TOO_LONG

    - #### UNSUPPORTED_MEDIA_TYPE

          public static final HttpStatus UNSUPPORTED_MEDIA_TYPE

    - #### REQUESTED_RANGE_NOT_SATISFIABLE

          public static final HttpStatus REQUESTED_RANGE_NOT_SATISFIABLE

    - #### EXPECTATION_FAILED

          public static final HttpStatus EXPECTATION_FAILED

    - #### IM_A_TEAPOT

          public static final HttpStatus IM_A_TEAPOT

    - #### UNPROCESSABLE_ENTITY

          public static final HttpStatus UNPROCESSABLE_ENTITY

    - #### LOCKED

          public static final HttpStatus LOCKED

    - #### FAILED_DEPENDENCY

          public static final HttpStatus FAILED_DEPENDENCY

    - #### UPGRADE_REQUIRED

          public static final HttpStatus UPGRADE_REQUIRED

    - #### PRECONDITION_REQUIRED

          public static final HttpStatus PRECONDITION_REQUIRED

    - #### TOO_MANY_REQUESTS

          public static final HttpStatus TOO_MANY_REQUESTS

    - #### REQUEST_HEADER_FIELDS_TOO_LARGE

          public static final HttpStatus REQUEST_HEADER_FIELDS_TOO_LARGE

    - #### INTERNAL_SERVER_ERROR

          public static final HttpStatus INTERNAL_SERVER_ERROR

    - #### NOT_IMPLEMENTED

          public static final HttpStatus NOT_IMPLEMENTED

    - #### BAD_GATEWAY

          public static final HttpStatus BAD_GATEWAY

    - #### SERVICE_UNAVAILABLE

          public static final HttpStatus SERVICE_UNAVAILABLE

    - #### GATEWAY_TIMEOUT

          public static final HttpStatus GATEWAY_TIMEOUT

    - #### HTTP_VERSION_NOT_SUPPORTED

          public static final HttpStatus HTTP_VERSION_NOT_SUPPORTED

    - #### VARIANT_ALSO_NEGOTIATES

          public static final HttpStatus VARIANT_ALSO_NEGOTIATES

    - #### INSUFFICIENT_STORAGE

          public static final HttpStatus INSUFFICIENT_STORAGE

    - #### LOOP_DETECTED

          public static final HttpStatus LOOP_DETECTED

    - #### BANDWIDTH_LIMIT_EXCEEDED

          public static final HttpStatus BANDWIDTH_LIMIT_EXCEEDED

    - #### NOT_EXTENDED

          public static final HttpStatus NOT_EXTENDED

    - #### NETWORK_AUTHENTICATION_REQUIRED

          public static final HttpStatus NETWORK_AUTHENTICATION_REQUIRED

  - ### Method Detail

    - #### values

          public static HttpStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpStatus c : HttpStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public int value()

    - #### getReasonPhrase

          public String getReasonPhrase()

    - #### is1xxInformational

          public boolean is1xxInformational()

    - #### is2xxSuccessful

          public boolean is2xxSuccessful()

    - #### is3xxRedirection

          public boolean is3xxRedirection()

    - #### is4xxClientError

          public boolean is4xxClientError()

    - #### is5xxServerError

          public boolean is5xxServerError()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HttpStatus>`

    - #### from

          public static HttpStatus from​(int value)